package com.wasu.cs.widget.mediacontrol;

import java.util.List;

import android.view.KeyEvent;

import com.wasu.comp.videoview.IMediaListener;

public interface IMediaControllerChildView<T extends IMediaController> extends IMediaListener {

	int getId();

	boolean isAutoHide();
	
	void onShow(T mediaController);

	void onHide(T mediaController);

	boolean onShield(KeyEvent event);

	void clear();

	void setRelativeViews(IMediaControllerChildView<T>... views);

	List<IMediaControllerChildView<T>> getRelativeViews();
}